aboutsummaryrefslogtreecommitdiffstats
path: root/main/nodejs-lts/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-11-26 01:42:42 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-11-26 02:23:22 +0100
commit1fc05d8d4246c31c785f0f4b8476a6cdc0724267 (patch)
tree0c693d649bf15de9b611525d50f6baa81fa10633 /main/nodejs-lts/APKBUILD
parentde45c93dd48decf6e9cfe483c845be35bdf6c38a (diff)
downloadaports-1fc05d8d4246c31c785f0f4b8476a6cdc0724267.tar.bz2
aports-1fc05d8d4246c31c785f0f4b8476a6cdc0724267.tar.xz
main/nodejs-lts: use system-provided CA certificates
Diffstat (limited to 'main/nodejs-lts/APKBUILD')
-rw-r--r--main/nodejs-lts/APKBUILD24
1 files changed, 18 insertions, 6 deletions
diff --git a/main/nodejs-lts/APKBUILD b/main/nodejs-lts/APKBUILD
index 56c9faefb5..c9214cdf00 100644
--- a/main/nodejs-lts/APKBUILD
+++ b/main/nodejs-lts/APKBUILD
@@ -1,21 +1,30 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Contributor: Jose-Luis Rivas <ghostbar@riseup.net>
+# Contributor: Jakub Jirutka <jakub@jirutka.cz>
# Maintainer: Eivind Uggedal <eivind@uggedal.com>
pkgname=nodejs-lts
pkgver=6.9.1
-pkgrel=0
+pkgrel=1
pkgdesc="JavaScript runtime built on V8 engine - LTS version"
url="http://nodejs.org/"
arch="all"
license="MIT"
# gold is needed for mksnapshot
makedepends="python2 openssl-dev zlib-dev libuv-dev linux-headers paxmark
- binutils-gold http-parser-dev"
+ binutils-gold http-parser-dev ca-certificates"
subpackages="$pkgname-dev $pkgname-doc"
replaces="nodejs"
-source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz
+ use-system-ca-certs.patch"
builddir="$srcdir/node-v$pkgver"
+prepare() {
+ default_prepare || return 1
+
+ # Remove bundled CA certificates.
+ rm -f src/node_root_certs.h
+}
+
build() {
cd "$builddir"
@@ -45,6 +54,9 @@ package() {
done
}
-md5sums="0d3117846c6704b36108fcdbf30e03c1 node-v6.9.1.tar.gz"
-sha256sums="a98997ca3a4d10751f0ebe97839b2308a31ae884b4203cda0c99cf36bc7fe3bf node-v6.9.1.tar.gz"
-sha512sums="71a6e081006c8b77f34b5cc26b76c56944b4de77d7ed5e6068c72dbaf49fc18ed2894231f6a5cd0308c40e95c2e1eb5ee2abd1470fd646bb8db3b230913c5014 node-v6.9.1.tar.gz"
+md5sums="0d3117846c6704b36108fcdbf30e03c1 node-v6.9.1.tar.gz
+14ce8e0fb44d5bf75974026900e0d8c2 use-system-ca-certs.patch"
+sha256sums="a98997ca3a4d10751f0ebe97839b2308a31ae884b4203cda0c99cf36bc7fe3bf node-v6.9.1.tar.gz
+fcd2becd2cb9a62537ae11f51f448fd1061aaae17835bb0f2d2aa71bdf9652c0 use-system-ca-certs.patch"
+sha512sums="71a6e081006c8b77f34b5cc26b76c56944b4de77d7ed5e6068c72dbaf49fc18ed2894231f6a5cd0308c40e95c2e1eb5ee2abd1470fd646bb8db3b230913c5014 node-v6.9.1.tar.gz
+c540878495761f4c38f3cccd61da75fa5619637ba9887b7946964a7cef790178e26678fe0aabe400e32c8f0f65e97a519ceee1534bbf18a1a14bc6e9fe067637 use-system-ca-certs.patch"